Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.databinding.index
Class IndexDomainModelReferenceConverter_Test

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.databinding.index.IndexDomainModelReferenceConverter_Test

    public class IndexDomainModelReferenceConverter_Test

extends Object

JUnit tests for `IndexDomainModelReferenceConverter`.

Author:
  Lucas Koehler

Constructor Summary
`IndexDomainModelReferenceConverter_Test()`

Method Summary
`void` | `setUp()` Set up executed before every test case.
`static void` | `setupClass()`
`void` | `tearDown()`
`void` | `testConvertToListProperty()` Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyNoFeature()` Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyNoReferencePath()` Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyNull()` Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyWrongListType()` Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyWrongReferenceType()` Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValueProperty()` Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyNoFeature()` Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyNoReferencePath()` Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyNull()` Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyWrongListType()` Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyWrongReferenceType()` Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testIsApplicable()` Test method for `IndexDomainModelReferenceConverter.isApplicable(VDomainModelReference)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexDomainModelReferenceConverter_Test

    public IndexDomainModelReferenceConverter_Test()

Method Detail

### setupClass

    public static void setupClass()

### setUp

    public void setUp()

  Set up executed before every test case.

### tearDown

    public void tearDown()
                  throws Exception

  Throws:
    `Exception`

### testIsApplicable

    public void testIsApplicable()

  Test method for `IndexDomainModelReferenceConverter.isApplicable(VDomainModelReference)` .

### testConvertToValueProperty

    public void testConvertToValueProperty()
                                    throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyNoReferencePath

    public void testConvertToValuePropertyNoReferencePath()
                                                   throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyWrongListType

    public void testConvertToValuePropertyWrongListType()
                                                 throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyNoFeature

    public void testConvertToValuePropertyNoFeature()
                                             throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyNull

    public void testConvertToValuePropertyNull()
                                        throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed (expected for this test case)

### testConvertToValuePropertyWrongReferenceType

    public void testConvertToValuePropertyWrongReferenceType()
                                                      throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListProperty

    public void testConvertToListProperty()
                                   throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyNoReferencePath

    public void testConvertToListPropertyNoReferencePath()
                                                  throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyWrongListType

    public void testConvertToListPropertyWrongListType()
                                                throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyNull

    public void testConvertToListPropertyNull()
                                       throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyWrongReferenceType

    public void testConvertToListPropertyWrongReferenceType()
                                                     throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyNoFeature

    public void testConvertToListPropertyNoFeature()
                                            throws DatabindingFailedException

  Test method for `IndexDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed (expected for this test case)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.